Bug 167551 - Can not run application in Output Window using cygwin tool collection
Can not run application in Output Window using cygwin tool collection
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
6.x
PC Windows Vista
: P1 (vote)
: 6.x
Assigned To: Andrew Krasny
dlight-issues@cnd
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 18:03 UTC by Alexander Pepin
Modified: 2009-07-16 07:10 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2009-06-23 18:03:42 UTC
Steps to reproduce:
- set cygwin tool collection as default
- create Welcome sample
- set Output window as Console type
- run the application
Result: Run fails with the following message:
    181 [main] welcome_8 4436
C:\Users\ap153252\Documents\NetBeansProjects\Welcome_8\dist\Debug\Cygwin-Windows\welcome_8.exe: *** fatal error - error
while loading shared libraries: /cygdrive/C/Program\ Files/NetBeans\
6.7/dlight1/bin/nativeexecution/Windows-x86/unbuffer.dll: cannot open shared object file: No such file or directory

RUN FAILED (exit value 256, total time: 217ms)
Comment 1 Alexander Pepin 2009-06-23 18:05:56 UTC
It's a regression that appeared in RC3 and was not caught there.
It's a showstopper for FCS and should be fixed ASAP.
Comment 2 Alexander Pepin 2009-06-23 19:34:20 UTC
Proposed fix has been verified in dev build.
Please review the fix and push it into release67.
Comment 3 Andrew Krasny 2009-06-23 19:37:06 UTC
Fix available in cnd-main: http://hg.netbeans.org/cnd-main/rev/2c68131bdceb

Please review
Comment 4 nnnnnk 2009-06-23 19:45:20 UTC
I've reviewed the fix.
It is not nice, but it's safe and correct.
Comment 5 Andrew Krasny 2009-06-23 20:03:30 UTC
Pushed to release67
Comment 6 Alexander Pepin 2009-06-25 13:31:00 UTC
verified in FCS candidate build 2009-06-24_13-40-38


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo